complexType "EnvironmentalPhysicalLeg"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 13 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, numberOfAllowances?, environmental?, abandonmentOfScheme?, deliveryDate?, paymentDate?, (businessCentersReference | businessCenters)?, failureToDeliverApplicable?, eEPParameters?
</...>

Content Model Elements (13):

  abandonmentOfScheme,
  businessCenters (defined in BusinessCentersOrReference.model group),
  businessCentersReference,
  deliveryDate (in environmentalPhysicalLeg),
  eEPParameters,
  environmental,
  failureToDeliverApplicable,
  numberOfAllowances,
  payerAccountReference,
  payerPartyReference (defined in PayerReceiver.model group),
  paymentDate (in environmentalPhysicalLeg),
  receiverAccountReference,
  receiverPartyReference (defined in PayerReceiver.model group)

All Direct / Indirect Based Elements (1):

  environmentalPhysicalLeg

Known Usage Locations

- As direct type of elements (1):
  environmentalPhysicalLeg

Type Definition Detail

Type Derivation Tree Leg (extension) CommoditySwapLeg (extension) PhysicalSwapLeg (extension) EnvironmentalPhysicalLeg

XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="EnvironmentalPhysicalLeg"> <xsd:complexContent> <xsd:extension base="PhysicalSwapLeg"> <xsd:sequence> <xsd:element minOccurs="0" name="numberOfAllowances" type="UnitQuantity"/> <xsd:element minOccurs="0" name="environmental" type="EnvironmentalProduct"/> <xsd:element minOccurs="0" name="abandonmentOfScheme" type="EnvironmentalAbandonmentOfSchemeEnum"/> <xsd:element minOccurs="0" name="deliveryDate" type="AdjustableOrRelativeDate"/> <xsd:sequence> <xsd:element minOccurs="0" name="paymentDate" type="DateOffset"/> <xsd:group minOccurs="0" ref="BusinessCentersOrReference.model"/> </xsd:sequence> <xsd:element minOccurs="0" name="failureToDeliverApplicable" type="xsd:boolean"/> <xsd:element minOccurs="0" name="eEPParameters" type="EEPParameters"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 7/13)
abandonmentOfScheme

  Type: | EnvironmentalAbandonmentOfSchemeEnum, simple content

  Applies to U.S. Emissions Allowance Transactions. Specifies terms which apply in the event of an Abandonment of Scheme event.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "OptionA(1)" | - | Abandonment of Scheme constitutes an Additional Termination Event.
  "OptionA(2)" | - | Abandonment of Scheme entails no further obligations.
  "OptionB" | - | The applicability of Abandonment of Scheme to Emissions Transactions is set forth in the applicable Confirmation.
  "OptionC" | - | The applicability of Abandonment of Scheme does not apply.

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="abandonmentOfScheme" type="EnvironmentalAbandonmentOfSchemeEnum"/>

deliveryDate

  Type: | AdjustableOrRelativeDate, complex content

  The date on which allowances are to be delivered as specified in the related Confirmation.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="deliveryDate" type="AdjustableOrRelativeDate"/>

eEPParameters

  Type: | EEPParameters, complex content

  Applies to EU Emissions Allowance Transactions. Contains a series of parameters controlling Excess Emissions Penalty payments.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="eEPParameters" type="EEPParameters"/>

environmental

  Type: | EnvironmentalProduct, complex content

  The specification of the type of allowance or credit.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="environmental" type="EnvironmentalProduct"/>

failureToDeliverApplicable

  Type: | xsd:boolean, predefined, simple content

  Applies to EU Emissions Allowance Transactions. Holds the Failure to Deliver (Alternative Method) election. Used to determine how provisions in Part [7] Page 7 (B) Failure to Deliver Not Remedied are to be applied.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="failureToDeliverApplicable" type="xsd:boolean"/>

numberOfAllowances

  Type: | UnitQuantity, complex content

  The number of allowances, certificates or credit to be transaction in the transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="numberOfAllowances" type="UnitQuantity"/>

paymentDate

  Type: | DateOffset, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="paymentDate" type="DateOffset"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.